import { illegalArgs } from "@thi.ng/errors/illegal-arguments";
import { add } from "@thi.ng/vectors/add";
import { divN } from "@thi.ng/vectors/divn";
import { empty } from "@thi.ng/vectors/empty";
const centroid = (pts, out) => {
  const num = pts.length;
  !num && illegalArgs("no points");
  !out && (out = empty(pts[0]));
  for (let i = num; i-- > 0; ) {
    add(out, out, pts[i]);
  }
  return divN(out, out, num);
};
export {
  centroid
};
